Subject: bug#1305: All code that currently beeps should use visual bell instead

From: Dmitry Gutov <[email-masked]>
Date: Sat, 1 May 2021 03:57:38 +0300

On 01.05.2021 03:00, Gregory Heytings wrote:

> And the fix used by the author of the issue, and agreed with by the one 
> who suggested that "first proposed fix", is to turn visible-bell off.

You said there's no evidence of this behavior having been used widely.

I presented such evidence. The rest is minor details (one report with 2 
participants, compared to 800 stars, or 3K stars for the previous 
version of that starter kit).

> Anyway, I fear this discussion will never end.  I proposed a patch, I'd 
> suggest you propose another one that does what you think would be TRT.

At this point I'm starting to wonder whether

   (setq ring-bell-function #'ignore)

would not be a good compromise, after all.

A poll could provide some better data, though.